*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  color: whitesmoke;
}

body {
  background-image: url("./images/dota2.jpg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  color: whitesmoke;
  min-height: 100vh;
}

.loginClass,
.registerClass {
  background-image: linear-gradient(to left, #C60C30, #FBCEB1, #C60C30, #FBCEB1, #C60C30, #FBCEB1, #C60C30);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}


form{
  position: relative;
}

input{
   outline: none !important;
}
 .emailInput {
  border:  none  !important;
  border-bottom: 1px solid #FF7F7F !important;
  background: transparent !important;
  width: 100%;
  height: 100%;
  padding-top: 30px !important;
  outline: none !important;
}

.emailInput:focus + .emailLabel, 
.emailInput:valid + .emailLabel {
  transform: translateY(-15%) !important;
  transition: transform 0.5s ease;
  font-size: 18px;
  color: #FF7F7F;
}
.emailInput:focus + .emailLabel::after,
.emailInput:valid + .emailLabel::after,
 {
  transform: translateX(0%);
}

.emailLabel::after{
  content:  " ";
  position: absolute;
  left: 0px;
  bottom: 0px;
  height: 100% ;
  width: 100% ;
  transform: translateX(-100%);
  transition: transform 0.3s ease;
}

.emailLabel{
  position: absolute;
  bottom: 0%;
  left: 0px;
  color: #FF7F7F;
  width: 100%;
  height: 82.5%;
  pointer-events: none;
  font-size: 1.2rem;
}

/* password */
.passwordInput {
  border:  none  !important;
  border-bottom: 1px solid #FF7F7F !important;
  background: transparent !important;
  width: 100%;
  height: 100%;
  padding-top: 30px !important;
  outline: none !important;
}

.passwordInput:focus + .passwordLabel, 
.passwordInput:valid + .passwordLabel {
  transform: translateY(-30%) !important;
  transition: transform 0.5s ease;
  font-size: 18px;
  color: #FF7F7F;
}
.passwordInput:focus + .passwordLabel::after,
.passwordInput:valid + .passwordLabel::after,
 {
  transform: translateX(0%);
}

.passwordLabel::after{
  content:  " ";
  position: absolute;
  left: 0px;
  bottom: 0px;
  height: 100% ;
  width: 100% ;
  transform: translateX(-100%);
  transition: transform 0.3s ease;
}

.passwordLabel{
  position: absolute;
  bottom: 0%;
  left: 0px;
  color: #FF7F7F;
  width: 100%;
  height: 41.5%;
  pointer-events: none;
  font-size: 1.2rem;
}

.setCard {
  max-width: 18rem !important;
  margin: 0.5rem 1.5rem;
  display: flex;
  justify-content: center;
  align-content: center;

}




.setViewProductCard {
  max-width: 60%;
  margin: 0 auto;

}

.setViewProductCard button {
  width: 70%;
  margin:  0 auto;

}

@media only screen and (min-width: 320px) {
  .setCard {
  max-width: 18rem !important;
  margin: 0.5rem auto;
  }
}
@media only screen and (min-width: 375px) {
  .setCard {
  max-width: 20rem !important;
  margin: 0.5rem 0.8rem;
  }
}


@media only screen and (min-width: 425px) {
  .setCard {
  max-width: 18rem !important;
  margin: 0.5rem 1.5rem;
  }
}



@media only screen and (min-width: 600px) {
  .setViewProductCard button {
    width: 40%;
  margin:  0 auto;
  }
}

@media only screen and (min-width: 425px) {
  .setCard {
  max-width: 16.5rem !important;
  margin: 0.5rem 2.5rem;
  }
}

@media only screen and (min-width: 1024px) {
  .setViewProductCard button {
    width: 30%;
  margin:  0 auto;
  }
  .setCard {
  max-width: 25rem !important;
  margin: 0.5rem 2rem;

}

}


@media only screen and (min-width: 1440px) {
  .setCard {
  max-width: 30rem !important;
  margin: 0.5rem 2rem;

}

}

@media only screen and (min-width: 2560px) {
  .setViewProductCard button {
    width: 20%;
  margin:  0 auto;
  }
}

.addProduct {
 margin-left: 89.6%;
 margin-bottom: 20px !important;
}